<?php

$g=0;
$chemin="C:\MedinTux-V2.13-Mac-Intel-105-src\Programmes\QLaboFTP\bin\Temp";

do
{
$host="127.0.0.1:3306";
$connexion = mysql_connect($host, "root","") or die ("connexion mysql impossible");
$base = mysql_select_db("DrTuxTest", $connexion) or die ("selection de la base de donnee impossible");
$i=0;
$j=0;
do 
	{
	$j++;
	$testdos=$chemin.'\resutext'."$j".'.txt';
	$b=file_exists($testdos);
	$a=$j+1;
	$testdosplus=$chemin.'\resutext'."$a".'.txt';
	$c=file_exists($testdosplus);
	}
while ($b==false);
$k=$testdos;
$l=$testdosplus;
//$fichier = fopen ($testdos , "r");
$page = file ($testdos);
$pagetab = file_get_contents ($testdos);
	do 
	{
	$i++;
	$req = "SELECT FchGnrl_NomDos FROM IndexNomPrenom WHERE FchGnrl_NomDos = '$pagetab[$i]'";
	$resreq = mysql_query($req,$connexion);
	$nombre = mysql_num_rows($resreq);
	$apinom = $page[$i];
	$apiprenom = $page[$i+1];
	}
	while ($nombre != 0 && $nombre < 5);
$apinomnew=rtrim($apinom);
$apiprenomnew=rtrim($apiprenom);
$reqguid = "SELECT FchGnrl_IDDos FROM DrTuxTest.IndexNomPrenom WHERE FchGnrl_NomDos='$apinomnew' AND FchGnrl_Prenom='$apiprenomnew' ";
$resultguid = mysql_query($reqguid,$connexion) or die ("exécution de la requête impossible e");
$nbresultguid = mysql_num_rows($resultguid);
echo $nbresultguid;
$Guid = mysql_fetch_array($resultguid);
$Guid= $Guid['FchGnrl_IDDos'];
//avorté si erreur de nom (s'ils n'existent pas dans la base).
if($nombrepat= mysql_num_rows($resultguid)==0)
{echo "erreur de nom et ou prenom , veuillez vérifier le dernier fichier et le corriger";
mysql_close($connexion);
die("erreur doublon ou absence de nom");
}
if($nombrepat= mysql_num_rows($resultguid)>1)
{
echo "attention il y a deux patients du même prénom, veuillez corriger cela";
echo "il y a '$nombrepat' autre patient du même nom";
mysql_close($connexion);
die("erreur doublon");
}
$pagetab = ereg_replace("\n","<br />",$pagetab);
$format="INSERT INTO RubriquesBlobs (RbDate_DataRub,RbDate_IDDos) VALUES ('%s','$Guid')";
$pageblob = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" standalone=\"yes\" ?><MedinTux_Multimedia_data><HTML_Data><html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\"font-size:10pt;font-family:Arial\"><p>$pagetab</p></body></html></HTML_Data><ImageListe></ImageListe></MedinTux_Multimedia_data>";
$reqinserblob = sprintf($format,mysql_real_escape_string($pageblob));
$resultinserblob = mysql_query($reqinserblob,$connexion);
$id_head = mysql_insert_id();
$titredoc = "DOCEXTERNES";
//recuperation de la date
$date_jour=date('d');
$date_mois=date('m');
$date_annee=date('Y');
$heure=date("H:i:s");
$date_doc=$date_annee."-".$date_mois."-".$date_jour." ".$heure_observation;
$reqinserhead = "INSERT INTO RubriquesHead (RbDate_PrimKey,RbDate_IDDos,RbDate_TypeRub,RbDate_NomDate,RbDate_Date,RbDate_CreateUser,RbDate_CreateSignUser,RbDate_Ref_NumDoss,RbDate_RefBlobs_Primkey) VALUES ('$id_head','$Guid',20080000,'$titredoc','$date_doc','pmd','pmd','0','$id_head')";
$resultinserhead = mysql_query($reqinserhead,$connexion);
//printf("Ligne ajoutee : %d\n", mysql_affected_rows());
mysql_close($connexion);
//fclose($testdos);
unlink ($testdos);

$g++;

}

while ($c!=FALSE && $g < 30);//j'applique le garde-fou de mon ami Thibaut Cousin .

?>


